LSZFCP(8)

NAME
lszfcp - list information about zfcp adapters, ports, and units

SYNOPSIS
lszfcp [-hvVaZHDPem] [-b busid] [-l lun] [-p wwpn] [-s /path/to/sys]

DESCRIPTION

lszfcp provides information contained in sysfs about zfcp adapters, ports and units and its associated scsi_hosts, fc_hosts, fc_remote_ports and scsi_devices. The default is to list busids of all zfcp adapters and their corresponding SCSI host names. There are four output variants. Default (without options "-a" or "-V" or "-Z") is one line for each object. For the zfcp device driver (module), its parameters are listed. For adapters the busid and their corresponding SCSI host names are listed. For ports the pair "busid"/"wwpn" and their corresponding FC-remote-port names are listed. For units the triple "busid"/"wwpn"/"lun" and their corresponding SCSI device names are listed. Option "-V" additionally shows the sysfs paths of interest for the listed object. If a SCSI device has an associated block device (disk) and SCSI generic (sg) device, show their sysfs paths in a 3rd line. Option "-a" additionally shows attributes of interest found in sysfs for the listed object. Option "-m" together with option "-a" shows sysfs attributes if available for: host: css (subchannel); port: zfcp_port; lun: zfcp_unit. Specifying option "-m" twice together with option "-a" additionally shows SCSI device sysfs attributes if available for: scsi_disk, block, block_integrity, block_queue, block_queue_iosched. Option "-e" enables an extended output format. It enumerates all hosts/ports/luns independent of their state. It also produces some improved error messages. The extended output format can help determining problems. Since a long time, without option "-e", lszfcp has not enumerated: hosts that have never been online (since last bind to zfcp device driver), hosts that are defunct (CHPID configured off, or z/VM detach), ports with fc_rport port_state unequal to "Online" (such as fibres pulled), zfcp units without associated SCSI device (unit_add of non-existent LUN).

OPTIONS

-a, --attributes
    Show the most interesting attributes of the specified objects.

-m, --moreattrs
    Show more attributes of the specified objects. Host: css (subchannel). Port: zfcp_port. Lun: zfcp_unit. If specified twice, show additional attributes of the specified SCSI device objects: scsi_disk, block, block_integrity, block_queue, block_queue_iosched.

-Z, --modparms
    List zfcp (module) parameters with a scope of the device driver.

-D, --devices
    List zfcp units and SCSI devices.

-H, --hosts
    List zfcp adapters, fc-hosts, and scsi-hosts (default). Without option "-e", information is given only for adapters that are online (registered at the SCSI stack).

-P, --ports
    List zfcp ports and FC remote ports.

-b busid, --busid busid
    Show zfcp adapter, fc-host selected by busid.

-l lun, --lun lun
    List zfcp unit(s) and SCSI device(s) selected by lun. (Information for several units might be shown if devices with equivalent LUNs are configured for different adapters or ports.)

-p wwpn, --wwpn wwpn
    List zfcp port(s) and FC remote port(s) selected by wwpn. (Information for several ports might be shown if a remote port is configured for different adapters.)

-e, --extended
    Generate extended output.

-V, --verbose
    Generate verbose output. Display sysfs path names of class and bus devices that are of interest for this object. If a SCSI device has an associated block device (disk) and SCSI generic (sg) device, show their sysfs paths in a 3rd line.

-s, --sysfs /path/to/sys
    Use path as sysfs (for dbginfo archives).

-h, --help
    Print help message and exit.

-v, --version
    Display version info and exit.

NOTE

Options "-b", "-p" or "-l" are of restricting nature. They limit the output to those adapters, ports or units that match the specified busid, wwpn and lun. If none of the options "-Z", "-H", "-P" and "-D" are specified, "-b" implies "-H", "-p" implies "-P" and "-l" implies "-D".

EXAMPLES

lszfcp -P -H -D -V
    Show all device paths of all zfcp adapters, ports, units and its associated SCSI devices, SCSI hosts, FC hosts and FC remote ports

lszfcp -b 0.0.0815 -a
    Show all attributes of ccw_device, scsi_host and fc_host which belong to the adapter with busid "0.0.0815".

lszfcp -D -b 0.0.0815 -p 0x5005123456789000 -l 0x0000000000000000
    Show the device which matches the given busid, wwpn and lun.

lszfcp -b 0.0.0815 -p 0x5005123456789000 -l 0x0000000000000000
    Show all adapters that match the given busid, all ports that match the given busid and wwpnn and show all units that match the given busid, wwpn and lun.

lszfcp -b 0.0.0815 -p 0x5005123456789000 -l 0x0000000000000000 -H -P -D
    Generates same output as previous example.

lszfcp -ZHPDVeamm
    Generates the fullest output in the extended format.

SEE ALSO
lscss(8)